AttrNSImpl (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.dom

## Class AttrNSImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.AttrImpl
    - - org.apache.xerces.dom.AttrNSImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Attr, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo
  Direct Known Subclasses:
    DeferredAttrNSImpl, PSVIAttrNSImpl

      public class AttrNSImpl
      extends AttrImpl

  AttrNSImpl inherits from AttrImpl and adds namespace support.

  The qualified name is the node name, and we store localName which is also used in all queries. On the other hand we recompute the prefix when necessary.

  Version:
    $Id: AttrNSImpl.java 924245 2010-03-17 11:58:14Z mrglavas $
  Author:
    Arnaud Le Hors, IBM, Andy Clark, IBM, Ralf Pfeiffer, IBM
  See Also:
    Serialized Form

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `localName` DOM2: localName.
    `protected java.lang.String` | `namespaceURI` DOM2: Namespace URI.

    - ### Fields inherited from class org.apache.xerces.dom.AttrImpl

      `name, value`

    - ### Fields inherited from class org.apache.xerces.dom.NodeImpl

      `DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

    - ### Fields inherited from interface org.w3c.dom.TypeInfo

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `AttrNSImpl()`
    `protected` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String value)`
    `protected` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName)` DOM2: Constructor for Namespace implementation.
    `` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String localName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocalName()` Introduced in DOM Level 2.
    `java.lang.String` | `getNamespaceURI()` Introduced in DOM Level 2.
    `java.lang.String` | `getPrefix()` Introduced in DOM Level 2.
    `java.lang.String` | `getTypeName()` The name of a type declared for the associated element or attribute, or `null` if unknown.
    `java.lang.String` | `getTypeNamespace()` The namespace of the type declared for the associated element or attribute or `null` if the element does not have declaration or if no namespace information is available.
    `boolean` | `isDerivedFrom(java.lang.String typeNamespaceArg, java.lang.String typeNameArg, int derivationMethod)` Introduced in DOM Level 3.
    `void` | `setPrefix(java.lang.String prefix)` Introduced in DOM Level 2.

    - ### Methods inherited from class org.apache.xerces.dom.AttrImpl

      `cloneNode, getChildNodes, getElement, getFirstChild, getLastChild, getLength, getName, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSchemaTypeInfo, getSpecified, getValue, hasChildNodes, insertBefore, isEqualNode, isId, item, makeChildNode, normalize, removeChild, replaceChild, setIdAttribute, setNodeValue, setOwnerDocument, setReadOnly, setSpecified, setType, setValue, synchronizeChildren, toString`

    - ### Methods inherited from class org.apache.xerces.dom.NodeImpl

      `addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getContainer, getFeature, getNextSibling, getNodeNumber, getOwnerDocument, getParentNode, getPreviousSibling, getReadOnly, getTextContent, getUserData, getUserData, getUserDataRecord, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setTextContent, setUserData, setUserData, synchronizeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, compareDocumentPosition, getAttributes, getBaseURI, getFeature, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setTextContent, setUserData`

- - ### Field Detail

    - #### namespaceURI

          protected java.lang.String namespaceURI

      DOM2: Namespace URI.

    - #### localName

          protected java.lang.String localName

      DOM2: localName.

  - ### Constructor Detail

    - #### AttrNSImpl

          public AttrNSImpl()

    - #### AttrNSImpl

          protected AttrNSImpl(CoreDocumentImpl ownerDocument,
                    java.lang.String namespaceURI,
                    java.lang.String qualifiedName)

      DOM2: Constructor for Namespace implementation.

    - #### AttrNSImpl

          public AttrNSImpl(CoreDocumentImpl ownerDocument,
                    java.lang.String namespaceURI,
                    java.lang.String qualifiedName,
                    java.lang.String localName)

    - #### AttrNSImpl

          protected AttrNSImpl(CoreDocumentImpl ownerDocument,
                    java.lang.String value)

  - ### Method Detail

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI()

      Introduced in DOM Level 2.

      The namespace URI of this node, or null if it is unspecified.

      This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time.

      For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

      Specified by:
        `getNamespaceURI` in interface `org.w3c.dom.Node`
      Overrides:
        `getNamespaceURI` in class `NodeImpl`
      Since:
        WD-DOM-Level-2-19990923
      See Also:
        `AttrNSImpl`, `ElementNSImpl`

    - #### getPrefix

          public java.lang.String getPrefix()

      Introduced in DOM Level 2.

      The namespace prefix of this node, or null if it is unspecified.

      For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

      Specified by:
        `getPrefix` in interface `org.w3c.dom.Node`
      Overrides:
        `getPrefix` in class `NodeImpl`
      Since:
        WD-DOM-Level-2-19990923
      See Also:
        `AttrNSImpl`, `ElementNSImpl`

    - #### setPrefix

          public void setPrefix(java.lang.String prefix)
                         throws org.w3c.dom.DOMException

      Introduced in DOM Level 2.

      Note that setting this attribute changes the nodeName attribute, which holds the qualified name, as well as the tagName and name attributes of the Element and Attr interfaces, when applicable.

      Specified by:
        `setPrefix` in interface `org.w3c.dom.Node`
      Overrides:
        `setPrefix` in class `NodeImpl`
      Parameters:
        `prefix` - The namespace prefix of this node, or null(empty string) if it is unspecified.
      Throws:
        `INVALID_CHARACTER_ERR` - Raised if the specified prefix contains an invalid character.
        `org.w3c.dom.DOMException`
      Since:
        WD-DOM-Level-2-19990923
      See Also:
        `AttrNSImpl`, `ElementNSImpl`

    - #### getLocalName

          public java.lang.String getLocalName()

      Introduced in DOM Level 2.

      Returns the local part of the qualified name of this node.

      Specified by:
        `getLocalName` in interface `org.w3c.dom.Node`
      Overrides:
        `getLocalName` in class `NodeImpl`
      Since:
        WD-DOM-Level-2-19990923
      See Also:
        `AttrNSImpl`, `ElementNSImpl`

    - #### getTypeName

          public java.lang.String getTypeName()

      Description copied from interface: `org.w3c.dom.TypeInfo`
      The name of a type declared for the associated element or attribute, or `null` if unknown.
      Specified by:
        `getTypeName` in interface `org.w3c.dom.TypeInfo`
      Overrides:
        `getTypeName` in class `AttrImpl`
      See Also:
        `TypeInfo.getTypeName()`

    - #### isDerivedFrom

          public boolean isDerivedFrom(java.lang.String typeNamespaceArg,
                              java.lang.String typeNameArg,
                              int derivationMethod)

      Introduced in DOM Level 3.

      Checks if a type is derived from another by restriction. See: http://www.w3.org/TR/DOM-Level-3-Core/core.html#TypeInfo-isDerivedFrom

      Specified by:
        `isDerivedFrom` in interface `org.w3c.dom.TypeInfo`
      Overrides:
        `isDerivedFrom` in class `AttrImpl`
      Parameters:
        `typeNamespaceArg` - The namspace of the ancestor type declaration
        `typeNameArg` - The name of the ancestor type declaration
        `derivationMethod` - The derivation method
      Returns:
        boolean True if the type is derived by restriciton for the reference type

    - #### getTypeNamespace

          public java.lang.String getTypeNamespace()

      Description copied from interface: `org.w3c.dom.TypeInfo`
      The namespace of the type declared for the associated element or attribute or `null` if the element does not have declaration or if no namespace information is available.
      Specified by:
        `getTypeNamespace` in interface `org.w3c.dom.TypeInfo`
      Overrides:
        `getTypeNamespace` in class `AttrImpl`
      See Also:
        `TypeInfo.getTypeNamespace()`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.